net.corda.node.services.api

## Class Checkpoint

- net.corda.node.services.api.Checkpoint

-     public class Checkpoint

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Checkpoint(SerializedBytes<net.corda.node.services.statemachine.FlowStateMachineImpl> serializedFiber)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `SecureHash` | `getId()`
    `SerializedBytes<net.corda.node.services.statemachine.FlowStateMachineImpl>` | `getSerializedFiber()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Checkpoint

          public Checkpoint(SerializedBytes<net.corda.node.services.statemachine.FlowStateMachineImpl> serializedFiber)

  - ### Method Detail

    - #### getId

          public SecureHash getId()

    - #### equals

          public boolean equals(java.lang.Object other)

    - #### hashCode

          public int hashCode()

    - #### toString

          public java.lang.String toString()

    - #### getSerializedFiber

          public SerializedBytes<net.corda.node.services.statemachine.FlowStateMachineImpl> getSerializedFiber()